org.apache.cassandra.cql3.statements

## Class ModificationStatement.Parsed

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

Direct Known Subclasses:
  DeleteStatement.Parsed, UpdateStatement.ParsedInsert, UpdateStatement.ParsedInsertJson, UpdateStatement.ParsedUpdate

Enclosing class:
  ModificationStatement

    public abstract static class ModificationStatement.Parsed
    extends CFStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Field Summary

Fields
`protected Attributes.Raw` `attrs`
`protected java.util.List<Pair<ColumnIdentifier.Raw,ColumnCondition.Raw>>` `conditions`

### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

`cfName`

### Constructor Summary

Constructors
`protected` `Parsed(CFName name, Attributes.Raw attrs, java.util.List<Pair<ColumnIdentifier.Raw,ColumnCondition.Raw>> conditions, boolean ifNotExists, boolean ifExists)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`ParsedStatement.Prepared` `prepare()`
`ModificationStatement` `prepare(VariableSpecifications boundNames)`
`protected abstract ModificationStatement` `prepareInternal(CFMetaData cfm, VariableSpecifications boundNames, Attributes attrs)`

### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

`columnFamily, keyspace, prepareKeyspace, prepareKeyspace`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, getFunctions, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### attrs

    protected final Attributes.Raw attrs

#### conditions

    protected final java.util.List<Pair<ColumnIdentifier.Raw,ColumnCondition.Raw>> conditions

### Constructor Detail

#### Parsed

    protected Parsed(CFName name,
                     Attributes.Raw attrs,
                     java.util.List<Pair<ColumnIdentifier.Raw,ColumnCondition.Raw>> conditions,
                     boolean ifNotExists,
                     boolean ifExists)

### Method Detail

#### prepare

    public ParsedStatement.Prepared prepare()
                                     throws InvalidRequestException

Specified by:
  `prepare` in class `ParsedStatement`
Throws:
  `InvalidRequestException`

#### prepare

    public ModificationStatement prepare(VariableSpecifications boundNames)
                                  throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### prepareInternal

    protected abstract ModificationStatement prepareInternal(CFMetaData cfm,
                                                             VariableSpecifications boundNames,
                                                             Attributes attrs)
                                                      throws InvalidRequestException

Throws:
  `InvalidRequestException`